0 Replies Latest reply on Jul 28, 2002 9:47 PM by Wessel de Roode

    Q&D patch for JBoss.3.0TemplateAndExamples and the jpackage

    Wessel de Roode Newbie

      Hi,
      I used the following (quick & dirty) way to get the JBoss.3.0TemplateAndExamples working with Jpackage RPM's

      First I did a full install/upgrade of ant:
      [kb] [file]
      692 ant-1.5-5jpp.noarch.rpm
      500 ant-optional-1.5-5jpp.noarch.rpm
      264 antlr-2.7.1-8jpp.noarch.rpm
      440 bcel-5.0-4jpp.noarch.rpm
      84 bsf-2.2-5jpp.noarch.rpm
      16 build.xml
      8 jaf-1.0.1-10jpp.nosrc.rpm
      8 javamail-1.2-9jpp.nosrc.rpm
      172 jdepend-2.2-1jpp.noarch.rpm
      164 junit-3.7-6jpp.noarch.rpm
      328 log4j-1.2.5-1jpp.noarch.rpm
      104 netcomponents-1.3.8-2jpp.noarch.rpm
      580 oldxerces-j-1.3.1-5jpp.noarch.rpm
      76 oro-2.0.6-1jpp.noarch.rpm
      28 regexp-1.2-11jpp.noarch.rpm
      364 rhino-1.5-0.R3.1jpp.noarch.rpm
      260 stylebook-1.0-6jpp.noarch.rpm
      48 stylebook1.0b3-1.0-6jpp.noarch.rpm
      404 xalan-j1-1.2.2-5jpp.noarch.rpm
      860 xalan-j2-2.3.1-2jpp.noarch.rpm
      484 xerces-j1-1.4.4-11jpp.noarch.rpm
      712 xerces-j2-2.0.2-4jpp.noarch.rpm
      16 xml-commons-1.0-0.b2.1jpp.noarch.rpm
      88 xml-commons-apis-1.0-0.b2.1jpp.noarch.rpm
      Fetch these files from:
      http://jpackage.sourceforge.net/rpm2html/JPackage.html
      http://jpackage.sourceforge.net/rpm/non-free/jaf/
      http://jpackage.sourceforge.net/rpm/non-free/javamail/

      Install them with rpm -i *
      You'll get two dependencie problems. one on jaf and one on javamail. If you get more, STOP! and fix that first!!
      Use the --nodeps flag to overide the two dependency error as we use newer versions of these two packages.

      Next thing to do is adjust the path's in de build.xml
      cut and past the patch at the end of this email and save it to the template or transaction directory as file build.patch and patch the build.xml script from the template/transaction directory with:
      patch -l <build.patch
      type ant, and the template should compile with warnings, but deploys :-)) (transaction example still gives errors during deployment)

      Good luck!, it took me quite a while for I discovered that the build file was missing the xerces-j2.jar and the bcel.jar file.

      Knf!
      Wessel de Roode

      ----- start patch is below this line ---------------
      --- build.xml Mon Jul 29 02:37:09 2002
      +++ build.xml Mon Jul 29 01:57:05 2002
      @@ -99,12 +99,14 @@



      -
      +
      <!-- AS Maybe necessary for Ant 1.5 and XDoclet 1.3
      -
      -
      -
      -
      +
      +
      +-->
      +
      +
      +<!--
      -->


      @@ -262,7 +264,7 @@

      <war
      warfile="${build.deploy.dir}/web-client.war"
      - webxml="${src.etc.dir}/WEB-INF/web-client.xml"
      + webxml="${src.etc.dir}/web-inf/web-client.xml"
      >


      ----- end patch is below this line ---------------